#!/usr/bin/env python

from WebStack.Adapters import BaseHTTPRequestHandler
from Login import LoginResource, LoginAuthenticator
import BaseHTTPServer

# Special magic incantation.

handler = BaseHTTPRequestHandler.HandlerFactory(
    LoginResource(LoginAuthenticator("horses"))
)
address = ("", 8081)
server = BaseHTTPServer.HTTPServer(address, handler)
server.serve_forever()

# vim: tabstop=4 expandtab shiftwidth=4
